Bug 135888 - SIGILL when loading a broken tiff
Summary: SIGILL when loading a broken tiff
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick   
(Show other bugs)
Version: 3
Hardware: s390
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-15 17:11 UTC by Matthias Clasen
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 19:05:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
broken tiff image (120 bytes, image/tiff)
2004-10-15 17:12 UTC, Matthias Clasen
no flags Details

Description Matthias Clasen 2004-10-15 17:11:23 UTC
While fixing a libtiff crash, we noticed that ImageMagik runs on a
SIGILL while trying to load a broken tiff. The crash only occurs on
s390. Fun, isn't it ?

Comment 1 Matthias Clasen 2004-10-15 17:12:47 UTC
Created attachment 105288 [details]
broken tiff image

to reproduce, run one of the following:

identify bad_next.tiff
display bad_next.tiff

Comment 3 Matthew Miller 2006-07-10 23:01:22 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!



Note You need to log in before you can comment on or make changes to this bug.